BEGIN {
D["PACKAGE_NAME"]=" \"\""
D["PACKAGE_TARNAME"]=" \"\""
D["PACKAGE_VERSION"]=" \"\""
D["PACKAGE_STRING"]=" \"\""
D["PACKAGE_BUGREPORT"]=" \"\""
D["PACKAGE"]=" \"xnbc9\""
D["VERSION"]=" \"9.10\""
D["STDC_HEADERS"]=" 1"
D["HAVE_SYS_TYPES_H"]=" 1"
D["HAVE_SYS_STAT_H"]=" 1"
D["HAVE_STDLIB_H"]=" 1"
D["HAVE_STRING_H"]=" 1"
D["HAVE_MEMORY_H"]=" 1"
D["HAVE_STRINGS_H"]=" 1"
D["HAVE_INTTYPES_H"]=" 1"
D["HAVE_STDINT_H"]=" 1"
D["HAVE_UNISTD_H"]=" 1"
D["__EXTENSIONS__"]=" 1"
D["_ALL_SOURCE"]=" 1"
D["_GNU_SOURCE"]=" 1"
D["_POSIX_PTHREAD_SEMANTICS"]=" 1"
D["_TANDEM_SOURCE"]=" 1"
D["HAVE_LONG_FILE_NAMES"]=" 1"
D["HAVE_LIBM"]=" 1"
D["HAVE_DIRENT_H"]=" 1"
D["STDC_HEADERS"]=" 1"
D["HAVE_SYS_WAIT_H"]=" 1"
D["HAVE_LIMITS_H"]=" 1"
D["HAVE_MALLOC_H"]=" 1"
D["HAVE_SYS_FILE_H"]=" 1"
D["HAVE_SYS_TIME_H"]=" 1"
D["HAVE_TERMIO_H"]=" 1"
D["HAVE_UNISTD_H"]=" 1"
D["HAVE_XM_XM_H"]=" 1"
D["HAVE_X11_X_H"]=" 1"
D["RETSIGTYPE"]=" void"
D["HAVE_MKDIR"]=" 1"
D["HAVE_PUTENV"]=" 1"
D["HAVE_STRDUP"]=" 1"
D["HAVE_STRSTR"]=" 1"
D["HAVE_UNAME"]=" 1"
D["HAVE_SIGNAL"]=" 1"
D["HAVE_CEIL"]=" 1"
D["HAVE_RINT"]=" 1"
  for (key in D) D_is_set[key] = 1
  FS = ""
}
/^[\t ]*#[\t ]*(define|undef)[\t ]+[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*([\t (]|$)/ {
  line = $ 0
  split(line, arg, " ")
  if (arg[1] == "#") {
    defundef = arg[2]
    mac1 = arg[3]
  } else {
    defundef = substr(arg[1], 2)
    mac1 = arg[2]
  }
  split(mac1, mac2, "(") #)
  macro = mac2[1]
  prefix = substr(line, 1, index(line, defundef) - 1)
  if (D_is_set[macro]) {
    # Preserve the white space surrounding the "#".
    print prefix "define", macro P[macro] D[macro]
    next
  } else {
    # Replace #undef with comments.  This is necessary, for example,
    # in the case of _POSIX_SOURCE, which is predefined and required
    # on some systems where configure will not decide to define it.
    if (defundef == "undef") {
      print "/*", prefix defundef, macro, "*/"
      next
    }
  }
}
{ print }
